
#include "ESP8266WiFi.h"
#include "ESP8266HTTPClient.h"
#include "FastLED.h"
#define NUM_LEDS 11//Anzahl LEDs
#define DATA_PIN 2//Datenpin des LEDstripes
CRGB leds[NUM_LEDS];
int datenstatus;
int buttonstatus;
String lademodus;
String charging; //Läd das Auto pulsiert die Anzeige, ist nur der Stecker eingesteckt ist sie statisch
String plug; // Soc wird nur mit den LEDs angezeigt wenn der Ladestecker steckt
String soc;
int socint;

// Habe es nicht geschafft die IP des Openwb dynamisch einzubinden, bitte nach "192.168.0.161" suchen und durch eure ersetzen!

void setup() {
pinMode(0, INPUT);  //Pin des Bewegungsmelders
pinMode(12, INPUT_PULLUP); //Pin der Modusbuttons PVÜberschuss
pinMode(13, INPUT_PULLUP); //Pin der Modusbuttons Sofort
pinMode(4, INPUT_PULLUP); //Pin der Modusbuttons Stop
pinMode(5, INPUT_PULLUP); //Pin der Modusbuttons Standby
pinMode(1, OUTPUT); //Pin der Modusled Standby
pinMode(3, OUTPUT); //Pin der Modusled Stop
pinMode(14, OUTPUT); //Pin der Modusled Sofort
pinMode(15, OUTPUT); //Pin der Modusled PVÜberschuss
pinMode(2, OUTPUT);//Datapin des LEDstripes
  FastLED.addLeds<WS2812B, DATA_PIN, RGB>(leds, NUM_LEDS);
    fill_solid(leds, NUM_LEDS, CHSV(0, 0, 0));
  FastLED.show();
  datenstatus = 0; //0=Daten ausstehend, 1=Daten geladen
  buttonstatus =0; //0=Buttonleds ausstehend, 1=Buttonleds beleuchtet
WiFi.mode(WIFI_STA); 
  WiFi.begin("SSID", "Passwort"); //Hier eure WLAN Daten einsetzen
  while (WiFi.status() != WL_CONNECTED) {
    delay(500);
  }
}

void loop() {
        if(digitalRead (0) == HIGH){
      if(datenstatus == 0){
HTTPClient http1;
HTTPClient http2;
HTTPClient http3;
HTTPClient http4;
 http1.begin("http://192.168.0.161/openWB/ramdisk/lademodus");
 int httpCode1 = http1.GET();
 if (httpCode1 > 0) {
lademodus = http1.getString();
 http1.end();   //Close connection
 }
 http2.begin("http://192.168.0.161/openWB/ramdisk/soc1");
  int httpCode2 = http2.GET();
 if (httpCode2 > 0) {
soc = http2.getString();
 http2.end();   //Close connection
 }
 http3.begin("http://192.168.0.161/openWB/ramdisk/ladungaktivlp1");
  int httpCode3 = http3.GET();
 if (httpCode3 > 0) {
charging = http3.getString();
 http3.end();   //Close connection
 }
 http4.begin("http://192.168.0.161/openWB/ramdisk/plugstat");
  int httpCode4 = http4.GET();
 if (httpCode4 > 0) {
plug = http4.getString();
 http4.end();   //Close connection
 }
socint = soc.toInt();
  datenstatus = 1;
 }
 
 if(datenstatus == 1){
  if(buttonstatus == 0){
    if(plug.indexOf("1") >= 0){
    if(socint >= 97){
   leds[0] = CRGB( 0, 0, 0); 
   leds[1] = CRGB( 255, 0, 0);
   leds[2] = CRGB( 255, 50, 0);
   leds[3] = CRGB(255, 100, 0);
   leds[4] = CRGB(255, 200, 0);
   leds[5] = CRGB( 160, 255, 0);
   leds[6] = CRGB( 100, 255, 0);
   leds[7] = CRGB( 50, 255, 0);
   leds[8] = CRGB( 0, 255, 0);
   leds[9] = CRGB( 0, 255, 0);
   leds[10] = CRGB( 0, 255, 0);
  FastLED.show();
    }
       else if(socint >= 86){
   leds[0] = CRGB( 0, 0, 0); 
   leds[1] = CRGB( 255, 0, 0);
   leds[2] = CRGB( 255, 50, 0);
   leds[3] = CRGB(255, 100, 0);
   leds[4] = CRGB(255, 200, 0);
   leds[5] = CRGB( 160, 255, 0);
   leds[6] = CRGB( 100, 255, 0);
   leds[7] = CRGB( 50, 255, 0);
   leds[8] = CRGB( 0, 255, 0);
   leds[9] = CRGB( 0, 255, 0);
  FastLED.show();
    }
           else if(socint >= 76){
   leds[0] = CRGB( 0, 0, 0); 
   leds[1] = CRGB( 255, 0, 0);
   leds[2] = CRGB( 255, 50, 0);
   leds[3] = CRGB(255, 100, 0);
   leds[4] = CRGB(255, 200, 0);
   leds[5] = CRGB( 160, 255, 0);
   leds[6] = CRGB( 100, 255, 0);
   leds[7] = CRGB( 50, 255, 0);
   leds[8] = CRGB( 0, 255, 0);
  FastLED.show();
    }
           else if(socint >= 65){
   leds[0] = CRGB( 0, 0, 0); 
   leds[1] = CRGB( 255, 0, 0);
   leds[2] = CRGB( 255, 50, 0);
   leds[3] = CRGB(255, 100, 0);
   leds[4] = CRGB(255, 200, 0);
   leds[5] = CRGB( 160, 255, 0);
   leds[6] = CRGB( 100, 255, 0);
   leds[7] = CRGB( 50, 255, 0);
  FastLED.show();
    }
           else if(socint >= 54){
   leds[0] = CRGB( 0, 0, 0); 
   leds[1] = CRGB( 255, 0, 0);
   leds[2] = CRGB( 255, 50, 0);
   leds[3] = CRGB(255, 100, 0);
   leds[4] = CRGB(255, 200, 0);
   leds[5] = CRGB( 160, 255, 0);
   leds[6] = CRGB( 100, 255, 0);
  FastLED.show();
    }
           else if(socint >= 43){
   leds[0] = CRGB( 0, 0, 0); 
   leds[1] = CRGB( 255, 0, 0);
   leds[2] = CRGB( 255, 50, 0);
   leds[3] = CRGB(255, 100, 0);
   leds[4] = CRGB(255, 200, 0);
   leds[5] = CRGB( 160, 255, 0);
  FastLED.show();
    }
           else if(socint >= 33){
   leds[0] = CRGB( 0, 0, 0); 
   leds[1] = CRGB( 255, 0, 0);
   leds[2] = CRGB( 255, 50, 0);
   leds[3] = CRGB(255, 100, 0);
   leds[4] = CRGB(255, 200, 0);
    FastLED.show();
    }
           else if(socint >= 21){
   leds[0] = CRGB( 0, 0, 0); 
   leds[1] = CRGB( 255, 0, 0);
   leds[2] = CRGB( 255, 50, 0);
   leds[3] = CRGB(255, 100, 0);
  FastLED.show();
    }
           else if(socint >= 11){
   leds[0] = CRGB( 0, 0, 0); 
   leds[1] = CRGB( 255, 0, 0);
   leds[2] = CRGB( 255, 50, 0);
  FastLED.show();
    }
           else if(socint >= 1){
   leds[0] = CRGB( 0, 0, 0); 
   leds[1] = CRGB( 255, 0, 0);
  FastLED.show();
    }
}
      if(lademodus.indexOf("0") >= 0){
digitalWrite(14, HIGH);
digitalWrite(15, LOW);
digitalWrite(1, LOW);
digitalWrite(3, LOW);
    }  
          if(lademodus.indexOf("2") >= 0){
digitalWrite(14, LOW);
digitalWrite(15, HIGH);
digitalWrite(1, LOW);
digitalWrite(3, LOW);
    } 
          if(lademodus.indexOf("4") >= 0){
digitalWrite(14, LOW);
digitalWrite(15, LOW);
digitalWrite(1, HIGH);
digitalWrite(3, LOW);
    } 
          if(lademodus.indexOf("3") >= 0){
digitalWrite(14, LOW);
digitalWrite(15, LOW);
digitalWrite(1, LOW);
digitalWrite(3, HIGH);
    }  
buttonstatus = 1;
  }
if(buttonstatus == 1){
  if(plug.indexOf("1") >= 0){
if(charging.indexOf("1") >= 0){    //Beginn des Pulsledbereichs
    for(int br = 30; br < 170; br++) { 
   FastLED.setBrightness(br);
   FastLED.show();
    delay(6);
        if(digitalRead(13) == LOW){
digitalWrite(14, HIGH);
digitalWrite(15, LOW);
digitalWrite(1, LOW);
digitalWrite(3, LOW);
  fill_solid(leds, NUM_LEDS, CRGB( 180, 180, 0));
  FastLED.show();
HTTPClient http;
http.begin("http://192.168.0.161/openWB/web/api.php?lademodus=jetzt");
int httpCode = http.GET();
if (httpCode > 0) {
    fill_solid(leds, NUM_LEDS, CRGB( 0, 180, 0));
  FastLED.show();
  delay (400);
      fill_solid(leds, NUM_LEDS, CRGB( 0, 0, 0));
  FastLED.show();
  delay (400);
      fill_solid(leds, NUM_LEDS, CRGB( 0, 180, 0));
  FastLED.show();
  delay (400);
      fill_solid(leds, NUM_LEDS, CRGB( 0, 0, 0));
  FastLED.show();
  delay (1000);
    }
        if(socint >= 97){
   leds[0] = CRGB( 0, 0, 0); 
   leds[1] = CRGB( 255, 0, 0);
   leds[2] = CRGB( 255, 50, 0);
   leds[3] = CRGB(255, 100, 0);
   leds[4] = CRGB(255, 200, 0);
   leds[5] = CRGB( 160, 255, 0);
   leds[6] = CRGB( 100, 255, 0);
   leds[7] = CRGB( 50, 255, 0);
   leds[8] = CRGB( 0, 255, 0);
   leds[9] = CRGB( 0, 255, 0);
   leds[10] = CRGB( 0, 255, 0);
  FastLED.show();
    }
       else if(socint >= 86){
   leds[0] = CRGB( 0, 0, 0); 
   leds[1] = CRGB( 255, 0, 0);
   leds[2] = CRGB( 255, 50, 0);
   leds[3] = CRGB(255, 100, 0);
   leds[4] = CRGB(255, 200, 0);
   leds[5] = CRGB( 160, 255, 0);
   leds[6] = CRGB( 100, 255, 0);
   leds[7] = CRGB( 50, 255, 0);
   leds[8] = CRGB( 0, 255, 0);
   leds[9] = CRGB( 0, 255, 0);
  FastLED.show();
    }
           else if(socint >= 76){
   leds[0] = CRGB( 0, 0, 0); 
   leds[1] = CRGB( 255, 0, 0);
   leds[2] = CRGB( 255, 50, 0);
   leds[3] = CRGB(255, 100, 0);
   leds[4] = CRGB(255, 200, 0);
   leds[5] = CRGB( 160, 255, 0);
   leds[6] = CRGB( 100, 255, 0);
   leds[7] = CRGB( 50, 255, 0);
   leds[8] = CRGB( 0, 255, 0);
  FastLED.show();
    }
           else if(socint >= 65){
   leds[0] = CRGB( 0, 0, 0); 
   leds[1] = CRGB( 255, 0, 0);
   leds[2] = CRGB( 255, 50, 0);
   leds[3] = CRGB(255, 100, 0);
   leds[4] = CRGB(255, 200, 0);
   leds[5] = CRGB( 160, 255, 0);
   leds[6] = CRGB( 100, 255, 0);
   leds[7] = CRGB( 50, 255, 0);
  FastLED.show();
    }
           else if(socint >= 54){
   leds[0] = CRGB( 0, 0, 0); 
   leds[1] = CRGB( 255, 0, 0);
   leds[2] = CRGB( 255, 50, 0);
   leds[3] = CRGB(255, 100, 0);
   leds[4] = CRGB(255, 200, 0);
   leds[5] = CRGB( 160, 255, 0);
   leds[6] = CRGB( 100, 255, 0);
  FastLED.show();
    }
           else if(socint >= 43){
   leds[0] = CRGB( 0, 0, 0); 
   leds[1] = CRGB( 255, 0, 0);
   leds[2] = CRGB( 255, 50, 0);
   leds[3] = CRGB(255, 100, 0);
   leds[4] = CRGB(255, 200, 0);
   leds[5] = CRGB( 160, 255, 0);
  FastLED.show();
    }
           else if(socint >= 33){
   leds[0] = CRGB( 0, 0, 0); 
   leds[1] = CRGB( 255, 0, 0);
   leds[2] = CRGB( 255, 50, 0);
   leds[3] = CRGB(255, 100, 0);
   leds[4] = CRGB(255, 200, 0);
    FastLED.show();
    }
           else if(socint >= 21){
   leds[0] = CRGB( 0, 0, 0); 
   leds[1] = CRGB( 255, 0, 0);
   leds[2] = CRGB( 255, 50, 0);
   leds[3] = CRGB(255, 100, 0);
  FastLED.show();
    }
           else if(socint >= 11){
   leds[0] = CRGB( 0, 0, 0); 
   leds[1] = CRGB( 255, 0, 0);
   leds[2] = CRGB( 255, 50, 0);
  FastLED.show();
    }
           else if(socint >= 1){
   leds[0] = CRGB( 0, 0, 0); 
   leds[1] = CRGB( 255, 0, 0);
  FastLED.show();
    }
    }
    
      if(digitalRead(12) == LOW){
digitalWrite(14, LOW);
digitalWrite(15, HIGH);
digitalWrite(1, LOW);
digitalWrite(3, LOW);
  fill_solid(leds, NUM_LEDS, CRGB( 180, 180, 0));
  FastLED.show();
HTTPClient http;
http.begin("http://192.168.0.161/openWB/web/api.php?lademodus=pvuberschuss");
int httpCode = http.GET();
if (httpCode > 0) {
    fill_solid(leds, NUM_LEDS, CRGB( 0, 180, 0));
  FastLED.show();
  delay (400);
      fill_solid(leds, NUM_LEDS, CRGB( 0, 0, 0));
  FastLED.show();
  delay (400);
      fill_solid(leds, NUM_LEDS, CRGB( 0, 180, 0));
  FastLED.show();
  delay (400);
      fill_solid(leds, NUM_LEDS, CRGB( 0, 0, 0));
  FastLED.show();
  delay (1000);
    }
        if(socint >= 97){
   leds[0] = CRGB( 0, 0, 0); 
   leds[1] = CRGB( 255, 0, 0);
   leds[2] = CRGB( 255, 50, 0);
   leds[3] = CRGB(255, 100, 0);
   leds[4] = CRGB(255, 200, 0);
   leds[5] = CRGB( 160, 255, 0);
   leds[6] = CRGB( 100, 255, 0);
   leds[7] = CRGB( 50, 255, 0);
   leds[8] = CRGB( 0, 255, 0);
   leds[9] = CRGB( 0, 255, 0);
   leds[10] = CRGB( 0, 255, 0);
  FastLED.show();
    }
       else if(socint >= 86){
   leds[0] = CRGB( 0, 0, 0); 
   leds[1] = CRGB( 255, 0, 0);
   leds[2] = CRGB( 255, 50, 0);
   leds[3] = CRGB(255, 100, 0);
   leds[4] = CRGB(255, 200, 0);
   leds[5] = CRGB( 160, 255, 0);
   leds[6] = CRGB( 100, 255, 0);
   leds[7] = CRGB( 50, 255, 0);
   leds[8] = CRGB( 0, 255, 0);
   leds[9] = CRGB( 0, 255, 0);
  FastLED.show();
    }
           else if(socint >= 76){
   leds[0] = CRGB( 0, 0, 0); 
   leds[1] = CRGB( 255, 0, 0);
   leds[2] = CRGB( 255, 50, 0);
   leds[3] = CRGB(255, 100, 0);
   leds[4] = CRGB(255, 200, 0);
   leds[5] = CRGB( 160, 255, 0);
   leds[6] = CRGB( 100, 255, 0);
   leds[7] = CRGB( 50, 255, 0);
   leds[8] = CRGB( 0, 255, 0);
  FastLED.show();
    }
           else if(socint >= 65){
   leds[0] = CRGB( 0, 0, 0); 
   leds[1] = CRGB( 255, 0, 0);
   leds[2] = CRGB( 255, 50, 0);
   leds[3] = CRGB(255, 100, 0);
   leds[4] = CRGB(255, 200, 0);
   leds[5] = CRGB( 160, 255, 0);
   leds[6] = CRGB( 100, 255, 0);
   leds[7] = CRGB( 50, 255, 0);
  FastLED.show();
    }
           else if(socint >= 54){
   leds[0] = CRGB( 0, 0, 0); 
   leds[1] = CRGB( 255, 0, 0);
   leds[2] = CRGB( 255, 50, 0);
   leds[3] = CRGB(255, 100, 0);
   leds[4] = CRGB(255, 200, 0);
   leds[5] = CRGB( 160, 255, 0);
   leds[6] = CRGB( 100, 255, 0);
  FastLED.show();
    }
           else if(socint >= 43){
   leds[0] = CRGB( 0, 0, 0); 
   leds[1] = CRGB( 255, 0, 0);
   leds[2] = CRGB( 255, 50, 0);
   leds[3] = CRGB(255, 100, 0);
   leds[4] = CRGB(255, 200, 0);
   leds[5] = CRGB( 160, 255, 0);
  FastLED.show();
    }
           else if(socint >= 33){
   leds[0] = CRGB( 0, 0, 0); 
   leds[1] = CRGB( 255, 0, 0);
   leds[2] = CRGB( 255, 50, 0);
   leds[3] = CRGB(255, 100, 0);
   leds[4] = CRGB(255, 200, 0);
    FastLED.show();
    }
           else if(socint >= 21){
   leds[0] = CRGB( 0, 0, 0); 
   leds[1] = CRGB( 255, 0, 0);
   leds[2] = CRGB( 255, 50, 0);
   leds[3] = CRGB(255, 100, 0);
  FastLED.show();
    }
           else if(socint >= 11){
   leds[0] = CRGB( 0, 0, 0); 
   leds[1] = CRGB( 255, 0, 0);
   leds[2] = CRGB( 255, 50, 0);
  FastLED.show();
    }
           else if(socint >= 1){
   leds[0] = CRGB( 0, 0, 0); 
   leds[1] = CRGB( 255, 0, 0);
  FastLED.show();
    }
    }
    
      if(digitalRead(5) == LOW){
digitalWrite(14, LOW);
digitalWrite(15, LOW);
digitalWrite(1, HIGH);
digitalWrite(3, LOW);
 fill_solid(leds, NUM_LEDS, CRGB( 180, 180, 0));
  FastLED.show();
HTTPClient http;
http.begin("http://192.168.0.161/openWB/web/api.php?lademodus=standby");
int httpCode = http.GET();
if (httpCode > 0) {
    fill_solid(leds, NUM_LEDS, CRGB( 0, 180, 0));
  FastLED.show();
  delay (400);
      fill_solid(leds, NUM_LEDS, CRGB( 0, 0, 0));
  FastLED.show();
  delay (400);
      fill_solid(leds, NUM_LEDS, CRGB( 0, 180, 0));
  FastLED.show();
  delay (400);
      fill_solid(leds, NUM_LEDS, CRGB( 0, 0, 0));
  FastLED.show();
  delay (1000);
    }
        if(socint >= 97){
   leds[0] = CRGB( 0, 0, 0); 
   leds[1] = CRGB( 255, 0, 0);
   leds[2] = CRGB( 255, 50, 0);
   leds[3] = CRGB(255, 100, 0);
   leds[4] = CRGB(255, 200, 0);
   leds[5] = CRGB( 160, 255, 0);
   leds[6] = CRGB( 100, 255, 0);
   leds[7] = CRGB( 50, 255, 0);
   leds[8] = CRGB( 0, 255, 0);
   leds[9] = CRGB( 0, 255, 0);
   leds[10] = CRGB( 0, 255, 0);
  FastLED.show();
    }
       else if(socint >= 86){
   leds[0] = CRGB( 0, 0, 0); 
   leds[1] = CRGB( 255, 0, 0);
   leds[2] = CRGB( 255, 50, 0);
   leds[3] = CRGB(255, 100, 0);
   leds[4] = CRGB(255, 200, 0);
   leds[5] = CRGB( 160, 255, 0);
   leds[6] = CRGB( 100, 255, 0);
   leds[7] = CRGB( 50, 255, 0);
   leds[8] = CRGB( 0, 255, 0);
   leds[9] = CRGB( 0, 255, 0);
  FastLED.show();
    }
           else if(socint >= 76){
   leds[0] = CRGB( 0, 0, 0); 
   leds[1] = CRGB( 255, 0, 0);
   leds[2] = CRGB( 255, 50, 0);
   leds[3] = CRGB(255, 100, 0);
   leds[4] = CRGB(255, 200, 0);
   leds[5] = CRGB( 160, 255, 0);
   leds[6] = CRGB( 100, 255, 0);
   leds[7] = CRGB( 50, 255, 0);
   leds[8] = CRGB( 0, 255, 0);
  FastLED.show();
    }
           else if(socint >= 65){
   leds[0] = CRGB( 0, 0, 0); 
   leds[1] = CRGB( 255, 0, 0);
   leds[2] = CRGB( 255, 50, 0);
   leds[3] = CRGB(255, 100, 0);
   leds[4] = CRGB(255, 200, 0);
   leds[5] = CRGB( 160, 255, 0);
   leds[6] = CRGB( 100, 255, 0);
   leds[7] = CRGB( 50, 255, 0);
  FastLED.show();
    }
           else if(socint >= 54){
   leds[0] = CRGB( 0, 0, 0); 
   leds[1] = CRGB( 255, 0, 0);
   leds[2] = CRGB( 255, 50, 0);
   leds[3] = CRGB(255, 100, 0);
   leds[4] = CRGB(255, 200, 0);
   leds[5] = CRGB( 160, 255, 0);
   leds[6] = CRGB( 100, 255, 0);
  FastLED.show();
    }
           else if(socint >= 43){
   leds[0] = CRGB( 0, 0, 0); 
   leds[1] = CRGB( 255, 0, 0);
   leds[2] = CRGB( 255, 50, 0);
   leds[3] = CRGB(255, 100, 0);
   leds[4] = CRGB(255, 200, 0);
   leds[5] = CRGB( 160, 255, 0);
  FastLED.show();
    }
           else if(socint >= 33){
   leds[0] = CRGB( 0, 0, 0); 
   leds[1] = CRGB( 255, 0, 0);
   leds[2] = CRGB( 255, 50, 0);
   leds[3] = CRGB(255, 100, 0);
   leds[4] = CRGB(255, 200, 0);
    FastLED.show();
    }
           else if(socint >= 21){
   leds[0] = CRGB( 0, 0, 0); 
   leds[1] = CRGB( 255, 0, 0);
   leds[2] = CRGB( 255, 50, 0);
   leds[3] = CRGB(255, 100, 0);
  FastLED.show();
    }
           else if(socint >= 11){
   leds[0] = CRGB( 0, 0, 0); 
   leds[1] = CRGB( 255, 0, 0);
   leds[2] = CRGB( 255, 50, 0);
  FastLED.show();
    }
           else if(socint >= 1){
   leds[0] = CRGB( 0, 0, 0); 
   leds[1] = CRGB( 255, 0, 0);
  FastLED.show();
    }
    }
    
      if(digitalRead(4) == LOW){
digitalWrite(14, LOW);
digitalWrite(15, LOW);
digitalWrite(1, LOW);
digitalWrite(3, HIGH);
 fill_solid(leds, NUM_LEDS, CRGB( 180, 180, 0));
  FastLED.show();
HTTPClient http;
http.begin("http://192.168.0.161/openWB/web/api.php?lademodus=stop");
int httpCode = http.GET();
if (httpCode > 0) {
    fill_solid(leds, NUM_LEDS, CRGB( 0, 180, 0));
  FastLED.show();
  delay (400);
      fill_solid(leds, NUM_LEDS, CRGB( 0, 0, 0));
  FastLED.show();
  delay (400);
      fill_solid(leds, NUM_LEDS, CRGB( 0, 180, 0));
  FastLED.show();
  delay (400);
      fill_solid(leds, NUM_LEDS, CRGB( 0, 0, 0));
  FastLED.show();
  delay (1000);
    }
        if(socint >= 97){
   leds[0] = CRGB( 0, 0, 0); 
   leds[1] = CRGB( 255, 0, 0);
   leds[2] = CRGB( 255, 50, 0);
   leds[3] = CRGB(255, 100, 0);
   leds[4] = CRGB(255, 200, 0);
   leds[5] = CRGB( 160, 255, 0);
   leds[6] = CRGB( 100, 255, 0);
   leds[7] = CRGB( 50, 255, 0);
   leds[8] = CRGB( 0, 255, 0);
   leds[9] = CRGB( 0, 255, 0);
   leds[10] = CRGB( 0, 255, 0);
  FastLED.show();
    }
       else if(socint >= 86){
   leds[0] = CRGB( 0, 0, 0); 
   leds[1] = CRGB( 255, 0, 0);
   leds[2] = CRGB( 255, 50, 0);
   leds[3] = CRGB(255, 100, 0);
   leds[4] = CRGB(255, 200, 0);
   leds[5] = CRGB( 160, 255, 0);
   leds[6] = CRGB( 100, 255, 0);
   leds[7] = CRGB( 50, 255, 0);
   leds[8] = CRGB( 0, 255, 0);
   leds[9] = CRGB( 0, 255, 0);
  FastLED.show();
    }
           else if(socint >= 76){
   leds[0] = CRGB( 0, 0, 0); 
   leds[1] = CRGB( 255, 0, 0);
   leds[2] = CRGB( 255, 50, 0);
   leds[3] = CRGB(255, 100, 0);
   leds[4] = CRGB(255, 200, 0);
   leds[5] = CRGB( 160, 255, 0);
   leds[6] = CRGB( 100, 255, 0);
   leds[7] = CRGB( 50, 255, 0);
   leds[8] = CRGB( 0, 255, 0);
  FastLED.show();
    }
           else if(socint >= 65){
   leds[0] = CRGB( 0, 0, 0); 
   leds[1] = CRGB( 255, 0, 0);
   leds[2] = CRGB( 255, 50, 0);
   leds[3] = CRGB(255, 100, 0);
   leds[4] = CRGB(255, 200, 0);
   leds[5] = CRGB( 160, 255, 0);
   leds[6] = CRGB( 100, 255, 0);
   leds[7] = CRGB( 50, 255, 0);
  FastLED.show();
    }
           else if(socint >= 54){
   leds[0] = CRGB( 0, 0, 0); 
   leds[1] = CRGB( 255, 0, 0);
   leds[2] = CRGB( 255, 50, 0);
   leds[3] = CRGB(255, 100, 0);
   leds[4] = CRGB(255, 200, 0);
   leds[5] = CRGB( 160, 255, 0);
   leds[6] = CRGB( 100, 255, 0);
  FastLED.show();
    }
           else if(socint >= 43){
   leds[0] = CRGB( 0, 0, 0); 
   leds[1] = CRGB( 255, 0, 0);
   leds[2] = CRGB( 255, 50, 0);
   leds[3] = CRGB(255, 100, 0);
   leds[4] = CRGB(255, 200, 0);
   leds[5] = CRGB( 160, 255, 0);
  FastLED.show();
    }
           else if(socint >= 33){
   leds[0] = CRGB( 0, 0, 0); 
   leds[1] = CRGB( 255, 0, 0);
   leds[2] = CRGB( 255, 50, 0);
   leds[3] = CRGB(255, 100, 0);
   leds[4] = CRGB(255, 200, 0);
    FastLED.show();
    }
           else if(socint >= 21){
   leds[0] = CRGB( 0, 0, 0); 
   leds[1] = CRGB( 255, 0, 0);
   leds[2] = CRGB( 255, 50, 0);
   leds[3] = CRGB(255, 100, 0);
  FastLED.show();
    }
           else if(socint >= 11){
   leds[0] = CRGB( 0, 0, 0); 
   leds[1] = CRGB( 255, 0, 0);
   leds[2] = CRGB( 255, 50, 0);
  FastLED.show();
    }
           else if(socint >= 1){
   leds[0] = CRGB( 0, 0, 0); 
   leds[1] = CRGB( 255, 0, 0);
  FastLED.show();
    }
    }
}
    for(int br = 170; br > 30; br--) { 
   FastLED.setBrightness(br);
   FastLED.show();
    delay(6);
        if(digitalRead(13) == LOW){
digitalWrite(14, HIGH);
digitalWrite(15, LOW);
digitalWrite(1, LOW);
digitalWrite(3, LOW);
  fill_solid(leds, NUM_LEDS, CRGB( 180, 180, 0));
  FastLED.show();
HTTPClient http;
http.begin("http://192.168.0.161/openWB/web/api.php?lademodus=jetzt");
int httpCode = http.GET();
if (httpCode > 0) {
    fill_solid(leds, NUM_LEDS, CRGB( 0, 180, 0));
  FastLED.show();
  delay (400);
      fill_solid(leds, NUM_LEDS, CRGB( 0, 0, 0));
  FastLED.show();
  delay (400);
      fill_solid(leds, NUM_LEDS, CRGB( 0, 180, 0));
  FastLED.show();
  delay (400);
      fill_solid(leds, NUM_LEDS, CRGB( 0, 0, 0));
  FastLED.show();
  delay (1000);
    }
        if(socint >= 97){
   leds[0] = CRGB( 0, 0, 0); 
   leds[1] = CRGB( 255, 0, 0);
   leds[2] = CRGB( 255, 50, 0);
   leds[3] = CRGB(255, 100, 0);
   leds[4] = CRGB(255, 200, 0);
   leds[5] = CRGB( 160, 255, 0);
   leds[6] = CRGB( 100, 255, 0);
   leds[7] = CRGB( 50, 255, 0);
   leds[8] = CRGB( 0, 255, 0);
   leds[9] = CRGB( 0, 255, 0);
   leds[10] = CRGB( 0, 255, 0);
  FastLED.show();
    }
       else if(socint >= 86){
   leds[0] = CRGB( 0, 0, 0); 
   leds[1] = CRGB( 255, 0, 0);
   leds[2] = CRGB( 255, 50, 0);
   leds[3] = CRGB(255, 100, 0);
   leds[4] = CRGB(255, 200, 0);
   leds[5] = CRGB( 160, 255, 0);
   leds[6] = CRGB( 100, 255, 0);
   leds[7] = CRGB( 50, 255, 0);
   leds[8] = CRGB( 0, 255, 0);
   leds[9] = CRGB( 0, 255, 0);
  FastLED.show();
    }
           else if(socint >= 76){
   leds[0] = CRGB( 0, 0, 0); 
   leds[1] = CRGB( 255, 0, 0);
   leds[2] = CRGB( 255, 50, 0);
   leds[3] = CRGB(255, 100, 0);
   leds[4] = CRGB(255, 200, 0);
   leds[5] = CRGB( 160, 255, 0);
   leds[6] = CRGB( 100, 255, 0);
   leds[7] = CRGB( 50, 255, 0);
   leds[8] = CRGB( 0, 255, 0);
  FastLED.show();
    }
           else if(socint >= 65){
   leds[0] = CRGB( 0, 0, 0); 
   leds[1] = CRGB( 255, 0, 0);
   leds[2] = CRGB( 255, 50, 0);
   leds[3] = CRGB(255, 100, 0);
   leds[4] = CRGB(255, 200, 0);
   leds[5] = CRGB( 160, 255, 0);
   leds[6] = CRGB( 100, 255, 0);
   leds[7] = CRGB( 50, 255, 0);
  FastLED.show();
    }
           else if(socint >= 54){
   leds[0] = CRGB( 0, 0, 0); 
   leds[1] = CRGB( 255, 0, 0);
   leds[2] = CRGB( 255, 50, 0);
   leds[3] = CRGB(255, 100, 0);
   leds[4] = CRGB(255, 200, 0);
   leds[5] = CRGB( 160, 255, 0);
   leds[6] = CRGB( 100, 255, 0);
  FastLED.show();
    }
           else if(socint >= 43){
   leds[0] = CRGB( 0, 0, 0); 
   leds[1] = CRGB( 255, 0, 0);
   leds[2] = CRGB( 255, 50, 0);
   leds[3] = CRGB(255, 100, 0);
   leds[4] = CRGB(255, 200, 0);
   leds[5] = CRGB( 160, 255, 0);
  FastLED.show();
    }
           else if(socint >= 33){
   leds[0] = CRGB( 0, 0, 0); 
   leds[1] = CRGB( 255, 0, 0);
   leds[2] = CRGB( 255, 50, 0);
   leds[3] = CRGB(255, 100, 0);
   leds[4] = CRGB(255, 200, 0);
    FastLED.show();
    }
           else if(socint >= 21){
   leds[0] = CRGB( 0, 0, 0); 
   leds[1] = CRGB( 255, 0, 0);
   leds[2] = CRGB( 255, 50, 0);
   leds[3] = CRGB(255, 100, 0);
  FastLED.show();
    }
           else if(socint >= 11){
   leds[0] = CRGB( 0, 0, 0); 
   leds[1] = CRGB( 255, 0, 0);
   leds[2] = CRGB( 255, 50, 0);
  FastLED.show();
    }
           else if(socint >= 1){
   leds[0] = CRGB( 0, 0, 0); 
   leds[1] = CRGB( 255, 0, 0);
  FastLED.show();
    }
    }
    
      if(digitalRead(12) == LOW){
digitalWrite(14, LOW);
digitalWrite(15, HIGH);
digitalWrite(1, LOW);
digitalWrite(3, LOW);
  fill_solid(leds, NUM_LEDS, CRGB( 180, 180, 0));
  FastLED.show();
HTTPClient http;
http.begin("http://192.168.0.161/openWB/web/api.php?lademodus=pvuberschuss");
int httpCode = http.GET();
if (httpCode > 0) {
    fill_solid(leds, NUM_LEDS, CRGB( 0, 180, 0));
  FastLED.show();
  delay (400);
      fill_solid(leds, NUM_LEDS, CRGB( 0, 0, 0));
  FastLED.show();
  delay (400);
      fill_solid(leds, NUM_LEDS, CRGB( 0, 180, 0));
  FastLED.show();
  delay (400);
      fill_solid(leds, NUM_LEDS, CRGB( 0, 0, 0));
  FastLED.show();
  delay (1000);
    }
        if(socint >= 97){
   leds[0] = CRGB( 0, 0, 0); 
   leds[1] = CRGB( 255, 0, 0);
   leds[2] = CRGB( 255, 50, 0);
   leds[3] = CRGB(255, 100, 0);
   leds[4] = CRGB(255, 200, 0);
   leds[5] = CRGB( 160, 255, 0);
   leds[6] = CRGB( 100, 255, 0);
   leds[7] = CRGB( 50, 255, 0);
   leds[8] = CRGB( 0, 255, 0);
   leds[9] = CRGB( 0, 255, 0);
   leds[10] = CRGB( 0, 255, 0);
  FastLED.show();
    }
       else if(socint >= 86){
   leds[0] = CRGB( 0, 0, 0); 
   leds[1] = CRGB( 255, 0, 0);
   leds[2] = CRGB( 255, 50, 0);
   leds[3] = CRGB(255, 100, 0);
   leds[4] = CRGB(255, 200, 0);
   leds[5] = CRGB( 160, 255, 0);
   leds[6] = CRGB( 100, 255, 0);
   leds[7] = CRGB( 50, 255, 0);
   leds[8] = CRGB( 0, 255, 0);
   leds[9] = CRGB( 0, 255, 0);
  FastLED.show();
    }
           else if(socint >= 76){
   leds[0] = CRGB( 0, 0, 0); 
   leds[1] = CRGB( 255, 0, 0);
   leds[2] = CRGB( 255, 50, 0);
   leds[3] = CRGB(255, 100, 0);
   leds[4] = CRGB(255, 200, 0);
   leds[5] = CRGB( 160, 255, 0);
   leds[6] = CRGB( 100, 255, 0);
   leds[7] = CRGB( 50, 255, 0);
   leds[8] = CRGB( 0, 255, 0);
  FastLED.show();
    }
           else if(socint >= 65){
   leds[0] = CRGB( 0, 0, 0); 
   leds[1] = CRGB( 255, 0, 0);
   leds[2] = CRGB( 255, 50, 0);
   leds[3] = CRGB(255, 100, 0);
   leds[4] = CRGB(255, 200, 0);
   leds[5] = CRGB( 160, 255, 0);
   leds[6] = CRGB( 100, 255, 0);
   leds[7] = CRGB( 50, 255, 0);
  FastLED.show();
    }
           else if(socint >= 54){
   leds[0] = CRGB( 0, 0, 0); 
   leds[1] = CRGB( 255, 0, 0);
   leds[2] = CRGB( 255, 50, 0);
   leds[3] = CRGB(255, 100, 0);
   leds[4] = CRGB(255, 200, 0);
   leds[5] = CRGB( 160, 255, 0);
   leds[6] = CRGB( 100, 255, 0);
  FastLED.show();
    }
           else if(socint >= 43){
   leds[0] = CRGB( 0, 0, 0); 
   leds[1] = CRGB( 255, 0, 0);
   leds[2] = CRGB( 255, 50, 0);
   leds[3] = CRGB(255, 100, 0);
   leds[4] = CRGB(255, 200, 0);
   leds[5] = CRGB( 160, 255, 0);
  FastLED.show();
    }
           else if(socint >= 33){
   leds[0] = CRGB( 0, 0, 0); 
   leds[1] = CRGB( 255, 0, 0);
   leds[2] = CRGB( 255, 50, 0);
   leds[3] = CRGB(255, 100, 0);
   leds[4] = CRGB(255, 200, 0);
    FastLED.show();
    }
           else if(socint >= 21){
   leds[0] = CRGB( 0, 0, 0); 
   leds[1] = CRGB( 255, 0, 0);
   leds[2] = CRGB( 255, 50, 0);
   leds[3] = CRGB(255, 100, 0);
  FastLED.show();
    }
           else if(socint >= 11){
   leds[0] = CRGB( 0, 0, 0); 
   leds[1] = CRGB( 255, 0, 0);
   leds[2] = CRGB( 255, 50, 0);
  FastLED.show();
    }
           else if(socint >= 1){
   leds[0] = CRGB( 0, 0, 0); 
   leds[1] = CRGB( 255, 0, 0);
  FastLED.show();
    }
    }
    
      if(digitalRead(5) == LOW){
digitalWrite(14, LOW);
digitalWrite(15, LOW);
digitalWrite(1, HIGH);
digitalWrite(3, LOW);
 fill_solid(leds, NUM_LEDS, CRGB( 180, 180, 0));
  FastLED.show();
HTTPClient http;
http.begin("http://192.168.0.161/openWB/web/api.php?lademodus=standby");
int httpCode = http.GET();
if (httpCode > 0) {
    fill_solid(leds, NUM_LEDS, CRGB( 0, 180, 0));
  FastLED.show();
  delay (400);
      fill_solid(leds, NUM_LEDS, CRGB( 0, 0, 0));
  FastLED.show();
  delay (400);
      fill_solid(leds, NUM_LEDS, CRGB( 0, 180, 0));
  FastLED.show();
  delay (400);
      fill_solid(leds, NUM_LEDS, CRGB( 0, 0, 0));
  FastLED.show();
  delay (1000);
    }
        if(socint >= 97){
   leds[0] = CRGB( 0, 0, 0); 
   leds[1] = CRGB( 255, 0, 0);
   leds[2] = CRGB( 255, 50, 0);
   leds[3] = CRGB(255, 100, 0);
   leds[4] = CRGB(255, 200, 0);
   leds[5] = CRGB( 160, 255, 0);
   leds[6] = CRGB( 100, 255, 0);
   leds[7] = CRGB( 50, 255, 0);
   leds[8] = CRGB( 0, 255, 0);
   leds[9] = CRGB( 0, 255, 0);
   leds[10] = CRGB( 0, 255, 0);
  FastLED.show();
    }
       else if(socint >= 86){
   leds[0] = CRGB( 0, 0, 0); 
   leds[1] = CRGB( 255, 0, 0);
   leds[2] = CRGB( 255, 50, 0);
   leds[3] = CRGB(255, 100, 0);
   leds[4] = CRGB(255, 200, 0);
   leds[5] = CRGB( 160, 255, 0);
   leds[6] = CRGB( 100, 255, 0);
   leds[7] = CRGB( 50, 255, 0);
   leds[8] = CRGB( 0, 255, 0);
   leds[9] = CRGB( 0, 255, 0);
  FastLED.show();
    }
           else if(socint >= 76){
   leds[0] = CRGB( 0, 0, 0); 
   leds[1] = CRGB( 255, 0, 0);
   leds[2] = CRGB( 255, 50, 0);
   leds[3] = CRGB(255, 100, 0);
   leds[4] = CRGB(255, 200, 0);
   leds[5] = CRGB( 160, 255, 0);
   leds[6] = CRGB( 100, 255, 0);
   leds[7] = CRGB( 50, 255, 0);
   leds[8] = CRGB( 0, 255, 0);
  FastLED.show();
    }
           else if(socint >= 65){
   leds[0] = CRGB( 0, 0, 0); 
   leds[1] = CRGB( 255, 0, 0);
   leds[2] = CRGB( 255, 50, 0);
   leds[3] = CRGB(255, 100, 0);
   leds[4] = CRGB(255, 200, 0);
   leds[5] = CRGB( 160, 255, 0);
   leds[6] = CRGB( 100, 255, 0);
   leds[7] = CRGB( 50, 255, 0);
  FastLED.show();
    }
           else if(socint >= 54){
   leds[0] = CRGB( 0, 0, 0); 
   leds[1] = CRGB( 255, 0, 0);
   leds[2] = CRGB( 255, 50, 0);
   leds[3] = CRGB(255, 100, 0);
   leds[4] = CRGB(255, 200, 0);
   leds[5] = CRGB( 160, 255, 0);
   leds[6] = CRGB( 100, 255, 0);
  FastLED.show();
    }
           else if(socint >= 43){
   leds[0] = CRGB( 0, 0, 0); 
   leds[1] = CRGB( 255, 0, 0);
   leds[2] = CRGB( 255, 50, 0);
   leds[3] = CRGB(255, 100, 0);
   leds[4] = CRGB(255, 200, 0);
   leds[5] = CRGB( 160, 255, 0);
  FastLED.show();
    }
           else if(socint >= 33){
   leds[0] = CRGB( 0, 0, 0); 
   leds[1] = CRGB( 255, 0, 0);
   leds[2] = CRGB( 255, 50, 0);
   leds[3] = CRGB(255, 100, 0);
   leds[4] = CRGB(255, 200, 0);
    FastLED.show();
    }
           else if(socint >= 21){
   leds[0] = CRGB( 0, 0, 0); 
   leds[1] = CRGB( 255, 0, 0);
   leds[2] = CRGB( 255, 50, 0);
   leds[3] = CRGB(255, 100, 0);
  FastLED.show();
    }
           else if(socint >= 11){
   leds[0] = CRGB( 0, 0, 0); 
   leds[1] = CRGB( 255, 0, 0);
   leds[2] = CRGB( 255, 50, 0);
  FastLED.show();
    }
           else if(socint >= 1){
   leds[0] = CRGB( 0, 0, 0); 
   leds[1] = CRGB( 255, 0, 0);
  FastLED.show();
    }
    }
    
      if(digitalRead(4) == LOW){
digitalWrite(14, LOW);
digitalWrite(15, LOW);
digitalWrite(1, LOW);
digitalWrite(3, HIGH);
 fill_solid(leds, NUM_LEDS, CRGB( 180, 180, 0));
  FastLED.show();
HTTPClient http;
http.begin("http://192.168.0.161/openWB/web/api.php?lademodus=stop");
int httpCode = http.GET();
if (httpCode > 0) {
    fill_solid(leds, NUM_LEDS, CRGB( 0, 180, 0));
  FastLED.show();
  delay (400);
      fill_solid(leds, NUM_LEDS, CRGB( 0, 0, 0));
  FastLED.show();
  delay (400);
      fill_solid(leds, NUM_LEDS, CRGB( 0, 180, 0));
  FastLED.show();
  delay (400);
      fill_solid(leds, NUM_LEDS, CRGB( 0, 0, 0));
  FastLED.show();
  delay (1000);
    }
        if(socint >= 97){
   leds[0] = CRGB( 0, 0, 0); 
   leds[1] = CRGB( 255, 0, 0);
   leds[2] = CRGB( 255, 50, 0);
   leds[3] = CRGB(255, 100, 0);
   leds[4] = CRGB(255, 200, 0);
   leds[5] = CRGB( 160, 255, 0);
   leds[6] = CRGB( 100, 255, 0);
   leds[7] = CRGB( 50, 255, 0);
   leds[8] = CRGB( 0, 255, 0);
   leds[9] = CRGB( 0, 255, 0);
   leds[10] = CRGB( 0, 255, 0);
  FastLED.show();
    }
       else if(socint >= 86){
   leds[0] = CRGB( 0, 0, 0); 
   leds[1] = CRGB( 255, 0, 0);
   leds[2] = CRGB( 255, 50, 0);
   leds[3] = CRGB(255, 100, 0);
   leds[4] = CRGB(255, 200, 0);
   leds[5] = CRGB( 160, 255, 0);
   leds[6] = CRGB( 100, 255, 0);
   leds[7] = CRGB( 50, 255, 0);
   leds[8] = CRGB( 0, 255, 0);
   leds[9] = CRGB( 0, 255, 0);
  FastLED.show();
    }
           else if(socint >= 76){
   leds[0] = CRGB( 0, 0, 0); 
   leds[1] = CRGB( 255, 0, 0);
   leds[2] = CRGB( 255, 50, 0);
   leds[3] = CRGB(255, 100, 0);
   leds[4] = CRGB(255, 200, 0);
   leds[5] = CRGB( 160, 255, 0);
   leds[6] = CRGB( 100, 255, 0);
   leds[7] = CRGB( 50, 255, 0);
   leds[8] = CRGB( 0, 255, 0);
  FastLED.show();
    }
           else if(socint >= 65){
   leds[0] = CRGB( 0, 0, 0); 
   leds[1] = CRGB( 255, 0, 0);
   leds[2] = CRGB( 255, 50, 0);
   leds[3] = CRGB(255, 100, 0);
   leds[4] = CRGB(255, 200, 0);
   leds[5] = CRGB( 160, 255, 0);
   leds[6] = CRGB( 100, 255, 0);
   leds[7] = CRGB( 50, 255, 0);
  FastLED.show();
    }
           else if(socint >= 54){
   leds[0] = CRGB( 0, 0, 0); 
   leds[1] = CRGB( 255, 0, 0);
   leds[2] = CRGB( 255, 50, 0);
   leds[3] = CRGB(255, 100, 0);
   leds[4] = CRGB(255, 200, 0);
   leds[5] = CRGB( 160, 255, 0);
   leds[6] = CRGB( 100, 255, 0);
  FastLED.show();
    }
           else if(socint >= 43){
   leds[0] = CRGB( 0, 0, 0); 
   leds[1] = CRGB( 255, 0, 0);
   leds[2] = CRGB( 255, 50, 0);
   leds[3] = CRGB(255, 100, 0);
   leds[4] = CRGB(255, 200, 0);
   leds[5] = CRGB( 160, 255, 0);
  FastLED.show();
    }
           else if(socint >= 33){
   leds[0] = CRGB( 0, 0, 0); 
   leds[1] = CRGB( 255, 0, 0);
   leds[2] = CRGB( 255, 50, 0);
   leds[3] = CRGB(255, 100, 0);
   leds[4] = CRGB(255, 200, 0);
    FastLED.show();
    }
           else if(socint >= 21){
   leds[0] = CRGB( 0, 0, 0); 
   leds[1] = CRGB( 255, 0, 0);
   leds[2] = CRGB( 255, 50, 0);
   leds[3] = CRGB(255, 100, 0);
  FastLED.show();
    }
           else if(socint >= 11){
   leds[0] = CRGB( 0, 0, 0); 
   leds[1] = CRGB( 255, 0, 0);
   leds[2] = CRGB( 255, 50, 0);
  FastLED.show();
    }
           else if(socint >= 1){
   leds[0] = CRGB( 0, 0, 0); 
   leds[1] = CRGB( 255, 0, 0);
  FastLED.show();
    }
    }
}
}  // Ende des Pulsled Bereichs

if(charging.indexOf("0") >= 0){ //Anfang des Statischen Ledbereichs
        if(digitalRead(13) == LOW){
digitalWrite(14, HIGH);
digitalWrite(15, LOW);
digitalWrite(1, LOW);
digitalWrite(3, LOW);
  fill_solid(leds, NUM_LEDS, CRGB( 180, 180, 0));
  FastLED.show();
HTTPClient http;
http.begin("http://192.168.0.161/openWB/web/api.php?lademodus=jetzt");
int httpCode = http.GET();
if (httpCode > 0) {
    fill_solid(leds, NUM_LEDS, CRGB( 0, 180, 0));
  FastLED.show();
  delay (400);
      fill_solid(leds, NUM_LEDS, CRGB( 0, 0, 0));
  FastLED.show();
  delay (400);
      fill_solid(leds, NUM_LEDS, CRGB( 0, 180, 0));
  FastLED.show();
  delay (400);
      fill_solid(leds, NUM_LEDS, CRGB( 0, 0, 0));
  FastLED.show();
  delay (1000);
    }
        if(socint >= 97){
   leds[0] = CRGB( 0, 0, 0); 
   leds[1] = CRGB( 255, 0, 0);
   leds[2] = CRGB( 255, 50, 0);
   leds[3] = CRGB(255, 100, 0);
   leds[4] = CRGB(255, 200, 0);
   leds[5] = CRGB( 160, 255, 0);
   leds[6] = CRGB( 100, 255, 0);
   leds[7] = CRGB( 50, 255, 0);
   leds[8] = CRGB( 0, 255, 0);
   leds[9] = CRGB( 0, 255, 0);
   leds[10] = CRGB( 0, 255, 0);
  FastLED.show();
    }
       else if(socint >= 86){
   leds[0] = CRGB( 0, 0, 0); 
   leds[1] = CRGB( 255, 0, 0);
   leds[2] = CRGB( 255, 50, 0);
   leds[3] = CRGB(255, 100, 0);
   leds[4] = CRGB(255, 200, 0);
   leds[5] = CRGB( 160, 255, 0);
   leds[6] = CRGB( 100, 255, 0);
   leds[7] = CRGB( 50, 255, 0);
   leds[8] = CRGB( 0, 255, 0);
   leds[9] = CRGB( 0, 255, 0);
  FastLED.show();
    }
           else if(socint >= 76){
   leds[0] = CRGB( 0, 0, 0); 
   leds[1] = CRGB( 255, 0, 0);
   leds[2] = CRGB( 255, 50, 0);
   leds[3] = CRGB(255, 100, 0);
   leds[4] = CRGB(255, 200, 0);
   leds[5] = CRGB( 160, 255, 0);
   leds[6] = CRGB( 100, 255, 0);
   leds[7] = CRGB( 50, 255, 0);
   leds[8] = CRGB( 0, 255, 0);
  FastLED.show();
    }
           else if(socint >= 65){
   leds[0] = CRGB( 0, 0, 0); 
   leds[1] = CRGB( 255, 0, 0);
   leds[2] = CRGB( 255, 50, 0);
   leds[3] = CRGB(255, 100, 0);
   leds[4] = CRGB(255, 200, 0);
   leds[5] = CRGB( 160, 255, 0);
   leds[6] = CRGB( 100, 255, 0);
   leds[7] = CRGB( 50, 255, 0);
  FastLED.show();
    }
           else if(socint >= 54){
   leds[0] = CRGB( 0, 0, 0); 
   leds[1] = CRGB( 255, 0, 0);
   leds[2] = CRGB( 255, 50, 0);
   leds[3] = CRGB(255, 100, 0);
   leds[4] = CRGB(255, 200, 0);
   leds[5] = CRGB( 160, 255, 0);
   leds[6] = CRGB( 100, 255, 0);
  FastLED.show();
    }
           else if(socint >= 43){
   leds[0] = CRGB( 0, 0, 0); 
   leds[1] = CRGB( 255, 0, 0);
   leds[2] = CRGB( 255, 50, 0);
   leds[3] = CRGB(255, 100, 0);
   leds[4] = CRGB(255, 200, 0);
   leds[5] = CRGB( 160, 255, 0);
  FastLED.show();
    }
           else if(socint >= 33){
   leds[0] = CRGB( 0, 0, 0); 
   leds[1] = CRGB( 255, 0, 0);
   leds[2] = CRGB( 255, 50, 0);
   leds[3] = CRGB(255, 100, 0);
   leds[4] = CRGB(255, 200, 0);
    FastLED.show();
    }
           else if(socint >= 21){
   leds[0] = CRGB( 0, 0, 0); 
   leds[1] = CRGB( 255, 0, 0);
   leds[2] = CRGB( 255, 50, 0);
   leds[3] = CRGB(255, 100, 0);
  FastLED.show();
    }
           else if(socint >= 11){
   leds[0] = CRGB( 0, 0, 0); 
   leds[1] = CRGB( 255, 0, 0);
   leds[2] = CRGB( 255, 50, 0);
  FastLED.show();
    }
           else if(socint >= 1){
   leds[0] = CRGB( 0, 0, 0); 
   leds[1] = CRGB( 255, 0, 0);
  FastLED.show();
    }
    }
    
      if(digitalRead(12) == LOW){
digitalWrite(14, LOW);
digitalWrite(15, HIGH);
digitalWrite(1, LOW);
digitalWrite(3, LOW);
  fill_solid(leds, NUM_LEDS, CRGB( 180, 180, 0));
  FastLED.show();
HTTPClient http;
http.begin("http://192.168.0.161/openWB/web/api.php?lademodus=pvuberschuss");
int httpCode = http.GET();
if (httpCode > 0) {
    fill_solid(leds, NUM_LEDS, CRGB( 0, 180, 0));
  FastLED.show();
  delay (400);
      fill_solid(leds, NUM_LEDS, CRGB( 0, 0, 0));
  FastLED.show();
  delay (400);
      fill_solid(leds, NUM_LEDS, CRGB( 0, 180, 0));
  FastLED.show();
  delay (400);
      fill_solid(leds, NUM_LEDS, CRGB( 0, 0, 0));
  FastLED.show();
  delay (1000);
    }
        if(socint >= 97){
   leds[0] = CRGB( 0, 0, 0); 
   leds[1] = CRGB( 255, 0, 0);
   leds[2] = CRGB( 255, 50, 0);
   leds[3] = CRGB(255, 100, 0);
   leds[4] = CRGB(255, 200, 0);
   leds[5] = CRGB( 160, 255, 0);
   leds[6] = CRGB( 100, 255, 0);
   leds[7] = CRGB( 50, 255, 0);
   leds[8] = CRGB( 0, 255, 0);
   leds[9] = CRGB( 0, 255, 0);
   leds[10] = CRGB( 0, 255, 0);
  FastLED.show();
    }
       else if(socint >= 86){
   leds[0] = CRGB( 0, 0, 0); 
   leds[1] = CRGB( 255, 0, 0);
   leds[2] = CRGB( 255, 50, 0);
   leds[3] = CRGB(255, 100, 0);
   leds[4] = CRGB(255, 200, 0);
   leds[5] = CRGB( 160, 255, 0);
   leds[6] = CRGB( 100, 255, 0);
   leds[7] = CRGB( 50, 255, 0);
   leds[8] = CRGB( 0, 255, 0);
   leds[9] = CRGB( 0, 255, 0);
  FastLED.show();
    }
           else if(socint >= 76){
   leds[0] = CRGB( 0, 0, 0); 
   leds[1] = CRGB( 255, 0, 0);
   leds[2] = CRGB( 255, 50, 0);
   leds[3] = CRGB(255, 100, 0);
   leds[4] = CRGB(255, 200, 0);
   leds[5] = CRGB( 160, 255, 0);
   leds[6] = CRGB( 100, 255, 0);
   leds[7] = CRGB( 50, 255, 0);
   leds[8] = CRGB( 0, 255, 0);
  FastLED.show();
    }
           else if(socint >= 65){
   leds[0] = CRGB( 0, 0, 0); 
   leds[1] = CRGB( 255, 0, 0);
   leds[2] = CRGB( 255, 50, 0);
   leds[3] = CRGB(255, 100, 0);
   leds[4] = CRGB(255, 200, 0);
   leds[5] = CRGB( 160, 255, 0);
   leds[6] = CRGB( 100, 255, 0);
   leds[7] = CRGB( 50, 255, 0);
  FastLED.show();
    }
           else if(socint >= 54){
   leds[0] = CRGB( 0, 0, 0); 
   leds[1] = CRGB( 255, 0, 0);
   leds[2] = CRGB( 255, 50, 0);
   leds[3] = CRGB(255, 100, 0);
   leds[4] = CRGB(255, 200, 0);
   leds[5] = CRGB( 160, 255, 0);
   leds[6] = CRGB( 100, 255, 0);
  FastLED.show();
    }
           else if(socint >= 43){
   leds[0] = CRGB( 0, 0, 0); 
   leds[1] = CRGB( 255, 0, 0);
   leds[2] = CRGB( 255, 50, 0);
   leds[3] = CRGB(255, 100, 0);
   leds[4] = CRGB(255, 200, 0);
   leds[5] = CRGB( 160, 255, 0);
  FastLED.show();
    }
           else if(socint >= 33){
   leds[0] = CRGB( 0, 0, 0); 
   leds[1] = CRGB( 255, 0, 0);
   leds[2] = CRGB( 255, 50, 0);
   leds[3] = CRGB(255, 100, 0);
   leds[4] = CRGB(255, 200, 0);
    FastLED.show();
    }
           else if(socint >= 21){
   leds[0] = CRGB( 0, 0, 0); 
   leds[1] = CRGB( 255, 0, 0);
   leds[2] = CRGB( 255, 50, 0);
   leds[3] = CRGB(255, 100, 0);
  FastLED.show();
    }
           else if(socint >= 11){
   leds[0] = CRGB( 0, 0, 0); 
   leds[1] = CRGB( 255, 0, 0);
   leds[2] = CRGB( 255, 50, 0);
  FastLED.show();
    }
           else if(socint >= 1){
   leds[0] = CRGB( 0, 0, 0); 
   leds[1] = CRGB( 255, 0, 0);
  FastLED.show();
    }
    }
    
      if(digitalRead(5) == LOW){
digitalWrite(14, LOW);
digitalWrite(15, LOW);
digitalWrite(1, HIGH);
digitalWrite(3, LOW);
 fill_solid(leds, NUM_LEDS, CRGB( 180, 180, 0));
  FastLED.show();
HTTPClient http;
http.begin("http://192.168.0.161/openWB/web/api.php?lademodus=standby");
int httpCode = http.GET();
if (httpCode > 0) {
    fill_solid(leds, NUM_LEDS, CRGB( 0, 180, 0));
  FastLED.show();
  delay (400);
      fill_solid(leds, NUM_LEDS, CRGB( 0, 0, 0));
  FastLED.show();
  delay (400);
      fill_solid(leds, NUM_LEDS, CRGB( 0, 180, 0));
  FastLED.show();
  delay (400);
      fill_solid(leds, NUM_LEDS, CRGB( 0, 0, 0));
  FastLED.show();
  delay (1000);
    }
        if(socint >= 97){
   leds[0] = CRGB( 0, 0, 0); 
   leds[1] = CRGB( 255, 0, 0);
   leds[2] = CRGB( 255, 50, 0);
   leds[3] = CRGB(255, 100, 0);
   leds[4] = CRGB(255, 200, 0);
   leds[5] = CRGB( 160, 255, 0);
   leds[6] = CRGB( 100, 255, 0);
   leds[7] = CRGB( 50, 255, 0);
   leds[8] = CRGB( 0, 255, 0);
   leds[9] = CRGB( 0, 255, 0);
   leds[10] = CRGB( 0, 255, 0);
  FastLED.show();
    }
       else if(socint >= 86){
   leds[0] = CRGB( 0, 0, 0); 
   leds[1] = CRGB( 255, 0, 0);
   leds[2] = CRGB( 255, 50, 0);
   leds[3] = CRGB(255, 100, 0);
   leds[4] = CRGB(255, 200, 0);
   leds[5] = CRGB( 160, 255, 0);
   leds[6] = CRGB( 100, 255, 0);
   leds[7] = CRGB( 50, 255, 0);
   leds[8] = CRGB( 0, 255, 0);
   leds[9] = CRGB( 0, 255, 0);
  FastLED.show();
    }
           else if(socint >= 76){
   leds[0] = CRGB( 0, 0, 0); 
   leds[1] = CRGB( 255, 0, 0);
   leds[2] = CRGB( 255, 50, 0);
   leds[3] = CRGB(255, 100, 0);
   leds[4] = CRGB(255, 200, 0);
   leds[5] = CRGB( 160, 255, 0);
   leds[6] = CRGB( 100, 255, 0);
   leds[7] = CRGB( 50, 255, 0);
   leds[8] = CRGB( 0, 255, 0);
  FastLED.show();
    }
           else if(socint >= 65){
   leds[0] = CRGB( 0, 0, 0); 
   leds[1] = CRGB( 255, 0, 0);
   leds[2] = CRGB( 255, 50, 0);
   leds[3] = CRGB(255, 100, 0);
   leds[4] = CRGB(255, 200, 0);
   leds[5] = CRGB( 160, 255, 0);
   leds[6] = CRGB( 100, 255, 0);
   leds[7] = CRGB( 50, 255, 0);
  FastLED.show();
    }
           else if(socint >= 54){
   leds[0] = CRGB( 0, 0, 0); 
   leds[1] = CRGB( 255, 0, 0);
   leds[2] = CRGB( 255, 50, 0);
   leds[3] = CRGB(255, 100, 0);
   leds[4] = CRGB(255, 200, 0);
   leds[5] = CRGB( 160, 255, 0);
   leds[6] = CRGB( 100, 255, 0);
  FastLED.show();
    }
           else if(socint >= 43){
   leds[0] = CRGB( 0, 0, 0); 
   leds[1] = CRGB( 255, 0, 0);
   leds[2] = CRGB( 255, 50, 0);
   leds[3] = CRGB(255, 100, 0);
   leds[4] = CRGB(255, 200, 0);
   leds[5] = CRGB( 160, 255, 0);
  FastLED.show();
    }
           else if(socint >= 33){
   leds[0] = CRGB( 0, 0, 0); 
   leds[1] = CRGB( 255, 0, 0);
   leds[2] = CRGB( 255, 50, 0);
   leds[3] = CRGB(255, 100, 0);
   leds[4] = CRGB(255, 200, 0);
    FastLED.show();
    }
           else if(socint >= 21){
   leds[0] = CRGB( 0, 0, 0); 
   leds[1] = CRGB( 255, 0, 0);
   leds[2] = CRGB( 255, 50, 0);
   leds[3] = CRGB(255, 100, 0);
  FastLED.show();
    }
           else if(socint >= 11){
   leds[0] = CRGB( 0, 0, 0); 
   leds[1] = CRGB( 255, 0, 0);
   leds[2] = CRGB( 255, 50, 0);
  FastLED.show();
    }
           else if(socint >= 1){
   leds[0] = CRGB( 0, 0, 0); 
   leds[1] = CRGB( 255, 0, 0);
  FastLED.show();
    }
    }
    
      if(digitalRead(4) == LOW){
digitalWrite(14, LOW);
digitalWrite(15, LOW);
digitalWrite(1, LOW);
digitalWrite(3, HIGH);
 fill_solid(leds, NUM_LEDS, CRGB( 180, 180, 0));
  FastLED.show();
HTTPClient http;
http.begin("http://192.168.0.161/openWB/web/api.php?lademodus=stop");
int httpCode = http.GET();
if (httpCode > 0) {
    fill_solid(leds, NUM_LEDS, CRGB( 0, 180, 0));
  FastLED.show();
  delay (400);
      fill_solid(leds, NUM_LEDS, CRGB( 0, 0, 0));
  FastLED.show();
  delay (400);
      fill_solid(leds, NUM_LEDS, CRGB( 0, 180, 0));
  FastLED.show();
  delay (400);
      fill_solid(leds, NUM_LEDS, CRGB( 0, 0, 0));
  FastLED.show();
  delay (1000);
    }
        if(socint >= 97){
   leds[0] = CRGB( 0, 0, 0); 
   leds[1] = CRGB( 255, 0, 0);
   leds[2] = CRGB( 255, 50, 0);
   leds[3] = CRGB(255, 100, 0);
   leds[4] = CRGB(255, 200, 0);
   leds[5] = CRGB( 160, 255, 0);
   leds[6] = CRGB( 100, 255, 0);
   leds[7] = CRGB( 50, 255, 0);
   leds[8] = CRGB( 0, 255, 0);
   leds[9] = CRGB( 0, 255, 0);
   leds[10] = CRGB( 0, 255, 0);
  FastLED.show();
    }
       else if(socint >= 86){
   leds[0] = CRGB( 0, 0, 0); 
   leds[1] = CRGB( 255, 0, 0);
   leds[2] = CRGB( 255, 50, 0);
   leds[3] = CRGB(255, 100, 0);
   leds[4] = CRGB(255, 200, 0);
   leds[5] = CRGB( 160, 255, 0);
   leds[6] = CRGB( 100, 255, 0);
   leds[7] = CRGB( 50, 255, 0);
   leds[8] = CRGB( 0, 255, 0);
   leds[9] = CRGB( 0, 255, 0);
  FastLED.show();
    }
           else if(socint >= 76){
   leds[0] = CRGB( 0, 0, 0); 
   leds[1] = CRGB( 255, 0, 0);
   leds[2] = CRGB( 255, 50, 0);
   leds[3] = CRGB(255, 100, 0);
   leds[4] = CRGB(255, 200, 0);
   leds[5] = CRGB( 160, 255, 0);
   leds[6] = CRGB( 100, 255, 0);
   leds[7] = CRGB( 50, 255, 0);
   leds[8] = CRGB( 0, 255, 0);
  FastLED.show();
    }
           else if(socint >= 65){
   leds[0] = CRGB( 0, 0, 0); 
   leds[1] = CRGB( 255, 0, 0);
   leds[2] = CRGB( 255, 50, 0);
   leds[3] = CRGB(255, 100, 0);
   leds[4] = CRGB(255, 200, 0);
   leds[5] = CRGB( 160, 255, 0);
   leds[6] = CRGB( 100, 255, 0);
   leds[7] = CRGB( 50, 255, 0);
  FastLED.show();
    }
           else if(socint >= 54){
   leds[0] = CRGB( 0, 0, 0); 
   leds[1] = CRGB( 255, 0, 0);
   leds[2] = CRGB( 255, 50, 0);
   leds[3] = CRGB(255, 100, 0);
   leds[4] = CRGB(255, 200, 0);
   leds[5] = CRGB( 160, 255, 0);
   leds[6] = CRGB( 100, 255, 0);
  FastLED.show();
    }
           else if(socint >= 43){
   leds[0] = CRGB( 0, 0, 0); 
   leds[1] = CRGB( 255, 0, 0);
   leds[2] = CRGB( 255, 50, 0);
   leds[3] = CRGB(255, 100, 0);
   leds[4] = CRGB(255, 200, 0);
   leds[5] = CRGB( 160, 255, 0);
  FastLED.show();
    }
           else if(socint >= 33){
   leds[0] = CRGB( 0, 0, 0); 
   leds[1] = CRGB( 255, 0, 0);
   leds[2] = CRGB( 255, 50, 0);
   leds[3] = CRGB(255, 100, 0);
   leds[4] = CRGB(255, 200, 0);
    FastLED.show();
    }
           else if(socint >= 21){
   leds[0] = CRGB( 0, 0, 0); 
   leds[1] = CRGB( 255, 0, 0);
   leds[2] = CRGB( 255, 50, 0);
   leds[3] = CRGB(255, 100, 0);
  FastLED.show();
    }
           else if(socint >= 11){
   leds[0] = CRGB( 0, 0, 0); 
   leds[1] = CRGB( 255, 0, 0);
   leds[2] = CRGB( 255, 50, 0);
  FastLED.show();
    }
           else if(socint >= 1){
   leds[0] = CRGB( 0, 0, 0); 
   leds[1] = CRGB( 255, 0, 0);
  FastLED.show();
    }
    }
}  //Ende des statischen Ledbereichs
}
  if(plug.indexOf("0") >= 0){
        if(digitalRead(13) == LOW){
digitalWrite(14, HIGH);
digitalWrite(15, LOW);
digitalWrite(1, LOW);
digitalWrite(3, LOW);
  fill_solid(leds, NUM_LEDS, CRGB( 180, 180, 0));
  FastLED.show();
HTTPClient http;
http.begin("http://192.168.0.161/openWB/web/api.php?lademodus=jetzt");
int httpCode = http.GET();
if (httpCode > 0) {
    fill_solid(leds, NUM_LEDS, CRGB( 0, 180, 0));
  FastLED.show();
  delay (400);
      fill_solid(leds, NUM_LEDS, CRGB( 0, 0, 0));
  FastLED.show();
  delay (400);
      fill_solid(leds, NUM_LEDS, CRGB( 0, 180, 0));
  FastLED.show();
  delay (400);
      fill_solid(leds, NUM_LEDS, CRGB( 0, 0, 0));
  FastLED.show();
  delay (1000);
    }
    } 

 if(digitalRead(12) == LOW){
digitalWrite(14, LOW);
digitalWrite(15, HIGH);
digitalWrite(1, LOW);
digitalWrite(3, LOW);
  fill_solid(leds, NUM_LEDS, CRGB( 180, 180, 0));
  FastLED.show();
HTTPClient http;
http.begin("http://192.168.0.161/openWB/web/api.php?lademodus=pvuberschuss");
int httpCode = http.GET();
if (httpCode > 0) {
    fill_solid(leds, NUM_LEDS, CRGB( 0, 180, 0));
  FastLED.show();
  delay (400);
      fill_solid(leds, NUM_LEDS, CRGB( 0, 0, 0));
  FastLED.show();
  delay (400);
      fill_solid(leds, NUM_LEDS, CRGB( 0, 180, 0));
  FastLED.show();
  delay (400);
      fill_solid(leds, NUM_LEDS, CRGB( 0, 0, 0));
  FastLED.show();
  delay (1000);
    }
    }

      if(digitalRead(5) == LOW){
digitalWrite(14, LOW);
digitalWrite(15, LOW);
digitalWrite(1, HIGH);
digitalWrite(3, LOW);
 fill_solid(leds, NUM_LEDS, CRGB( 180, 180, 0));
  FastLED.show();
HTTPClient http;
http.begin("http://192.168.0.161/openWB/web/api.php?lademodus=standby");
int httpCode = http.GET();
if (httpCode > 0) {
    fill_solid(leds, NUM_LEDS, CRGB( 0, 180, 0));
  FastLED.show();
  delay (400);
      fill_solid(leds, NUM_LEDS, CRGB( 0, 0, 0));
  FastLED.show();
  delay (400);
      fill_solid(leds, NUM_LEDS, CRGB( 0, 180, 0));
  FastLED.show();
  delay (400);
      fill_solid(leds, NUM_LEDS, CRGB( 0, 0, 0));
  FastLED.show();
  delay (1000);
    }
    } 

 if(digitalRead(4) == LOW){
digitalWrite(14, LOW);
digitalWrite(15, LOW);
digitalWrite(1, LOW);
digitalWrite(3, HIGH);
 fill_solid(leds, NUM_LEDS, CRGB( 180, 180, 0));
  FastLED.show();
HTTPClient http;
http.begin("http://192.168.0.161/openWB/web/api.php?lademodus=stop");
int httpCode = http.GET();
if (httpCode > 0) {
    fill_solid(leds, NUM_LEDS, CRGB( 0, 180, 0));
  FastLED.show();
  delay (400);
      fill_solid(leds, NUM_LEDS, CRGB( 0, 0, 0));
  FastLED.show();
  delay (400);
      fill_solid(leds, NUM_LEDS, CRGB( 0, 180, 0));
  FastLED.show();
  delay (400);
      fill_solid(leds, NUM_LEDS, CRGB( 0, 0, 0));
  FastLED.show();
  delay (1000);
    }
    }   
  }
  }

}
}
        if(digitalRead (0) == LOW){
    fill_solid(leds, NUM_LEDS, CHSV(0, 0, 0));
  FastLED.show();
digitalWrite(14, LOW);
digitalWrite(15, LOW);
digitalWrite(1, LOW);
digitalWrite(3, LOW);
  datenstatus = 0; //0=Aus, 1=An
  buttonstatus = 0;
  }
}
